CUPTI (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 3.35. CUpti_ActivityMemory Struct Reference

## [CUPTI Activity API]

This activity record represents a memory allocation and free operation (CUPTI_ACTIVITY_KIND_MEMORY).

### Public Variables

uint64_t address
uint64_t allocPC
uint64_t bytes
uint32_t contextId
uint32_t deviceId
uint64_t end
uint64_t freePC
CUpti_ActivityKind kind
CUpti_ActivityMemoryKind memoryKind
const char * name
uint32_t processId
uint64_t start

### Variables

uint64_t CUpti_ActivityMemory::address [inherited]

  The virtual address of the allocation

uint64_t CUpti_ActivityMemory::allocPC [inherited]

  The program counter of the allocation of memory

uint64_t CUpti_ActivityMemory::bytes [inherited]

  The number of bytes of memory allocated.

uint32_t CUpti_ActivityMemory::contextId [inherited]

  The ID of the context

uint32_t CUpti_ActivityMemory::deviceId [inherited]

  The ID of the device where the memory allocation is taking place.

uint64_t CUpti_ActivityMemory::end [inherited]

  The end timestamp for the memory operation, i.e. the time when memory was freed, in ns. This will be 0 if memory is not freed in the application

uint64_t CUpti_ActivityMemory::freePC [inherited]

  The program counter of the freeing of memory. This will be 0 if memory is not freed in the application

CUpti_ActivityKind CUpti_ActivityMemory::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_MEMORY

CUpti_ActivityMemoryKind CUpti_ActivityMemory::memoryKind [inherited]

  The memory kind requested by the user

const char * CUpti_ActivityMemory::name [inherited]

  Variable name. This name is shared across all activity records representing the same symbol, and so should not be modified.

uint32_t CUpti_ActivityMemory::processId [inherited]

  The ID of the process to which this record belongs to.

uint64_t CUpti_ActivityMemory::start [inherited]

  The start timestamp for the memory operation, i.e. the time when memory was allocated, in ns.